Loading...
Searching...
No Matches
irr::scene::IParticleEmitter Class Referenceabstract

A particle emitter for using with particle systems. More...

`#include <IParticleEmitter.h>`

Inheritance diagram for irr::scene::IParticleEmitter:

## Public Member Functions

virtual s32 | emitt (u32 now, u32 timeSinceLastCall, SParticle *&outArray)=0
| Prepares an array with new particles to emitt into the system.
virtual const core::vector3df & | getDirection () const =0
| Get direction the emitter emits particles.
virtual s32 | getMaxAngleDegrees () const =0
| Get maximal random derivation from the direction.
virtual u32 | getMaxLifeTime () const =0
| Get the maximum particle life-time in milliseconds.
virtual u32 | getMaxParticlesPerSecond () const =0
| Get the maximum number of particles the emitter emits per second.
virtual const video::SColor & | getMaxStartColor () const =0
| Get the maximum starting color for particles.
virtual const core::dimension2df & | getMaxStartSize () const =0
| Get the maximum starting size for particles.
virtual u32 | getMinLifeTime () const =0
| Get the minimum particle life-time in milliseconds.
virtual u32 | getMinParticlesPerSecond () const =0
| Get the minimum number of particles the emitter emits per second.
virtual const video::SColor & | getMinStartColor () const =0
| Get the minimum starting color for particles.
virtual const core::dimension2df & | getMinStartSize () const =0
| Get the minimum starting size for particles.
virtual E_PARTICLE_EMITTER_TYPE | getType () const
| Get emitter type.
virtual void | setDirection (const core::vector3df &newDirection)=0
| Set direction the emitter emits particles.
virtual void | setMaxAngleDegrees (s32 maxAngleDegrees)=0
| Set maximal random derivation from the direction.
virtual void | setMaxLifeTime (u32 lifeTimeMax)=0
| Set the maximum particle life-time in milliseconds.
virtual void | setMaxParticlesPerSecond (u32 maxPPS)=0
| Set maximum number of particles the emitter emits per second.
virtual void | setMaxStartColor (const video::SColor &color)=0
| Set maximum starting color for particles.
virtual void | setMaxStartSize (const core::dimension2df &size)=0
| Set the maximum starting size for particles.
virtual void | setMinLifeTime (u32 lifeTimeMin)=0
| Set the minimum particle life-time in milliseconds.
virtual void | setMinParticlesPerSecond (u32 minPPS)=0
| Set minimum number of particles the emitter emits per second.
virtual void | setMinStartColor (const video::SColor &color)=0
| Set minimum starting color for particles.
virtual void | setMinStartSize (const core::dimension2df &size)=0
| Set the minimum starting size for particles.
Public Member Functions inherited from irr::io::IAttributeExchangingObject
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

A particle emitter for using with particle systems.

A Particle emitter emitts new particles into a particle system.

Definition at line 45 of file IParticleEmitter.h.

## Member Function Documentation

## emitt()

virtual s32 irr::scene::IParticleEmitter::emitt | ( | u32 | now,
|  | u32 | timeSinceLastCall,
|  | SParticle *& | outArray )

pure virtual

Prepares an array with new particles to emitt into the system.

Parameters

  now | Current time.
  timeSinceLastCall | Time elapsed since last call, in milliseconds.
  outArray | Pointer which will point to the array with the new particles to add into the system.

Returns
  Amount of new particles in the array. Can be 0.

## getDirection()

virtual const core::vector3df & irr::scene::IParticleEmitter::getDirection | ( |  | ) | const

pure virtual

Get direction the emitter emits particles.

## getMaxAngleDegrees()

virtual s32 irr::scene::IParticleEmitter::getMaxAngleDegrees | ( |  | ) | const

pure virtual

Get maximal random derivation from the direction.

## getMaxLifeTime()

virtual u32 irr::scene::IParticleEmitter::getMaxLifeTime | ( |  | ) | const

pure virtual

Get the maximum particle life-time in milliseconds.

## getMaxParticlesPerSecond()

virtual u32 irr::scene::IParticleEmitter::getMaxParticlesPerSecond | ( |  | ) | const

pure virtual

Get the maximum number of particles the emitter emits per second.

## getMaxStartColor()

virtual const video::SColor & irr::scene::IParticleEmitter::getMaxStartColor | ( |  | ) | const

pure virtual

Get the maximum starting color for particles.

## getMaxStartSize()

virtual const core::dimension2df & irr::scene::IParticleEmitter::getMaxStartSize | ( |  | ) | const

pure virtual

Get the maximum starting size for particles.

## getMinLifeTime()

virtual u32 irr::scene::IParticleEmitter::getMinLifeTime | ( |  | ) | const

pure virtual

Get the minimum particle life-time in milliseconds.

## getMinParticlesPerSecond()

virtual u32 irr::scene::IParticleEmitter::getMinParticlesPerSecond | ( |  | ) | const

pure virtual

Get the minimum number of particles the emitter emits per second.

## getMinStartColor()

virtual const video::SColor & irr::scene::IParticleEmitter::getMinStartColor | ( |  | ) | const

pure virtual

Get the minimum starting color for particles.

## getMinStartSize()

virtual const core::dimension2df & irr::scene::IParticleEmitter::getMinStartSize | ( |  | ) | const

pure virtual

Get the minimum starting size for particles.

## getType()

virtual E_PARTICLE_EMITTER_TYPE irr::scene::IParticleEmitter::getType | ( |  | ) | const

inline virtual

Get emitter type.

Reimplemented in irr::scene::IParticleAnimatedMeshSceneNodeEmitter, irr::scene::IParticleBoxEmitter, irr::scene::IParticleCylinderEmitter, irr::scene::IParticleMeshEmitter, irr::scene::IParticleRingEmitter, and irr::scene::IParticleSphereEmitter.

Definition at line 119 of file IParticleEmitter.h.

References irr::scene::EPET_POINT.

## setDirection()

virtual void irr::scene::IParticleEmitter::setDirection | ( | const core::vector3df & | newDirection | ) |

pure virtual

Set direction the emitter emits particles.

## setMaxAngleDegrees()

virtual void irr::scene::IParticleEmitter::setMaxAngleDegrees | ( | s32 | maxAngleDegrees | ) |

pure virtual

Set maximal random derivation from the direction.

## setMaxLifeTime()

virtual void irr::scene::IParticleEmitter::setMaxLifeTime | ( | u32 | lifeTimeMax | ) |

pure virtual

Set the maximum particle life-time in milliseconds.

## setMaxParticlesPerSecond()

virtual void irr::scene::IParticleEmitter::setMaxParticlesPerSecond | ( | u32 | maxPPS | ) |

pure virtual

Set maximum number of particles the emitter emits per second.

## setMaxStartColor()

virtual void irr::scene::IParticleEmitter::setMaxStartColor | ( | const video::SColor & | color | ) |

pure virtual

Set maximum starting color for particles.

## setMaxStartSize()

virtual void irr::scene::IParticleEmitter::setMaxStartSize | ( | const core::dimension2df & | size | ) |

pure virtual

Set the maximum starting size for particles.

## setMinLifeTime()

virtual void irr::scene::IParticleEmitter::setMinLifeTime | ( | u32 | lifeTimeMin | ) |

pure virtual

Set the minimum particle life-time in milliseconds.

## setMinParticlesPerSecond()

virtual void irr::scene::IParticleEmitter::setMinParticlesPerSecond | ( | u32 | minPPS | ) |

pure virtual

Set minimum number of particles the emitter emits per second.

## setMinStartColor()

virtual void irr::scene::IParticleEmitter::setMinStartColor | ( | const video::SColor & | color | ) |

pure virtual

Set minimum starting color for particles.

## setMinStartSize()

virtual void irr::scene::IParticleEmitter::setMinStartSize | ( | const core::dimension2df & | size | ) |

pure virtual

Set the minimum starting size for particles.

The documentation for this class was generated from the following file:

- IParticleEmitter.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0